Skip to content
Start here

Bulk create URL Scans

client.URLScanner.Scans.BulkNew(ctx, params) (*[]ScanBulkNewResponse, error)
POST/accounts/{account_id}/urlscanner/v2/bulk

Submit URLs to scan. Check limits at https://developers.cloudflare.com/security-center/investigate/scan-limits/ and take into account scans submitted in bulk have lower priority and may take longer to finish.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
URL Scanner WriteURL Scanner Read
ParametersExpand Collapse
params ScanBulkNewParams
AccountID param.Field[string]

Path param: Account ID.

Body param.Field[[]ScanBulkNewParamsBody]optional

Body param: List of urls to scan (up to a 100).

URL string
Customagent stringoptional
maxLength4096
CustomHeaders map[string, string]optional

Set custom headers.

Referer stringoptional
maxLength4096
ScreenshotsResolutions []ScanBulkNewParamsBodyScreenshotsResolutionoptional

Take multiple screenshots targeting different device types.

One of the following:
const ScanBulkNewParamsBodyScreenshotsResolutionDesktop ScanBulkNewParamsBodyScreenshotsResolution = "desktop"
const ScanBulkNewParamsBodyScreenshotsResolutionMobile ScanBulkNewParamsBodyScreenshotsResolution = "mobile"
const ScanBulkNewParamsBodyScreenshotsResolutionTablet ScanBulkNewParamsBodyScreenshotsResolution = "tablet"
Visibility ScanBulkNewParamsBodyVisibilityoptional

The option Public means it will be included in listings like recent scans and search results. Unlisted means it will not be included in the aforementioned listings, users will need to have the scan's ID to access it. A a scan will be automatically marked as unlisted if it fails, if it contains potential PII or other sensitive material.

One of the following:
const ScanBulkNewParamsBodyVisibilityPublic ScanBulkNewParamsBodyVisibility = "Public"
const ScanBulkNewParamsBodyVisibilityUnlisted ScanBulkNewParamsBodyVisibility = "Unlisted"
ReturnsExpand Collapse
type ScanBulkNewResponse []ScanBulkNewResponse
API string

URL to api report.

Result string

URL to report.

URL string

Submitted URL

UUID string

Scan ID.

formatuuid
Visibility ScanBulkNewResponseVisibility

Submitted visibility status.

One of the following:
const ScanBulkNewResponseVisibilityPublic ScanBulkNewResponseVisibility = "public"
const ScanBulkNewResponseVisibilityUnlisted ScanBulkNewResponseVisibility = "unlisted"
Options ScanBulkNewResponseOptionsoptional
Useragent stringoptional

Bulk create URL Scans

package main

import (
  "context"
  "fmt"

  "github.com/cloudflare/cloudflare-go"
  "github.com/cloudflare/cloudflare-go/option"
  "github.com/cloudflare/cloudflare-go/url_scanner"
)

func main() {
  client := cloudflare.NewClient(
    option.WithAPIToken("Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY"),
  )
  response, err := client.URLScanner.Scans.BulkNew(context.TODO(), url_scanner.ScanBulkNewParams{
    AccountID: cloudflare.F("account_id"),
  })
  if err != nil {
    panic(err.Error())
  }
  fmt.Printf("%+v\n", response)
}
[
  {
    "api": "api",
    "result": "result",
    "url": "url",
    "uuid": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
    "visibility": "public",
    "options": {
      "useragent": "useragent"
    }
  }
]
Returns Examples
[
  {
    "api": "api",
    "result": "result",
    "url": "url",
    "uuid": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
    "visibility": "public",
    "options": {
      "useragent": "useragent"
    }
  }
]